Package net.sf.saxon.functions

## Class Doc_2

- java.lang.Object
- - net.sf.saxon.functions.AbstractFunction
  - - net.sf.saxon.functions.SystemFunction
    - - net.sf.saxon.functions.Doc_2

- All Implemented Interfaces:
    `Callable`, `Function`, `GroundedValue`, `Item`, `Sequence`

      public class Doc_2
      extends SystemFunction
      implements Callable

  Implement the saxon:doc() function - a variant of the fn:doc function with a second argument to supply option parameters. Used to underpin the xsl:source-document instruction with streamable="no".

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Doc_2()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ZeroOrOne<NodeInfo>` | `call​(XPathContext context, Sequence[] arguments)` | Evaluate the expression
    `int` | `getSpecialProperties​(Expression[] arguments)` | Get the static properties of this expression (other than its type).
    `static OptionsParameter` | `makeOptionsParameter()` |
    `static ParseOptions` | `setParseOptions​(RetainedStaticContext rsc, java.util.Map<java.lang.String,​Sequence> checkedOptions, XPathContext context)` |

    - ### Methods inherited from class net.sf.saxon.functions.SystemFunction

      `dependsOnContextItem, dynamicCall, equals, export, exportAdditionalArguments, exportAttributes, fixArguments, getArity, getCardinality, getCompilerName, getContextNode, getDescription, getDetails, getErrorCodeForTypeErrors, getFunctionItemType, getFunctionName, getIntegerBounds, getNetCost, getOperandRoles, getRequiredType, getResultItemType, getResultItemType, getRetainedStaticContext, getStaticBaseUriString, getStreamerName, importAttributes, isTrustedResultType, makeCall, makeFunction, makeFunctionCall, makeOptimizedFunctionCall, resultIfEmpty, setArity, setDetails, setRetainedStaticContext, supplyTypeInformation, toShortString, toString, typeCheckCaller`

    - ### Methods inherited from class net.sf.saxon.functions.AbstractFunction

      `atomize, deepEquals, effectiveBooleanValue, getAnnotations, getStringValue, getStringValueCS, isArray, isMap, makeNewContext, simplify, typeCheck`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface net.sf.saxon.om.Function

      `getGenre`

    - ### Methods inherited from interface net.sf.saxon.om.GroundedValue

      `asIterable, concatenate, containsNode, materialize`

    - ### Methods inherited from interface net.sf.saxon.om.Item

      `getLength, head, isStreamed, itemAt, iterate, reduce, subsequence`

    - ### Methods inherited from interface net.sf.saxon.om.Sequence

      `makeRepeatable`

- - ### Constructor Detail

    - #### Doc_2

          public Doc_2()

  - ### Method Detail

    - #### makeOptionsParameter

          public static OptionsParameter makeOptionsParameter()

    - #### setParseOptions

          public static ParseOptions setParseOptions​(RetainedStaticContext rsc,
                                                     java.util.Map<java.lang.String,​Sequence> checkedOptions,
                                                     XPathContext context)
                                              throws XPathException

      Throws:
        `XPathException`

    - #### call

          public ZeroOrOne<NodeInfo> call​(XPathContext context,
                                          Sequence[] arguments)
                                   throws XPathException

      Evaluate the expression
      Specified by:
        `call` in interface `Callable`
      Specified by:
        `call` in interface `Function`
      Parameters:
        `context` - the dynamic evaluation context
        `arguments` - the values of the arguments, supplied as SequenceIterators
      Returns:
        the result of the evaluation, in the form of a SequenceIterator
      Throws:
        `XPathException` - if a dynamic error occurs during the evaluation of the expression

    - #### getSpecialProperties

          public int getSpecialProperties​(Expression[] arguments)

      Get the static properties of this expression (other than its type). The result is bit-signficant. These properties are used for optimizations. In general, if property bit is set, it is true, but if it is unset, the value is unknown.
      Overrides:
        `getSpecialProperties` in class `SystemFunction`
      Parameters:
        `arguments` - the expressions supplied as arguments to the function